from pdfminer.high_level import extract_text
import tabula

class PdfParser:
    def __init__(self, file_path):
        self.file_path = file_path

    def extract_text(self):
        text = extract_text(self.file_path)
        return text

    def extract_table(self):
        tables = tabula.read_pdf(self.file_path, pages='all')
        return tables
